Bug 733606 - No IPv6 static addressing possible in GUI
Summary: No IPv6 static addressing possible in GUI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 16
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 08:33 UTC by A.J. Werkman
Modified: 2012-05-02 18:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 18:48:37 UTC


Attachments (Terms of Use)

Description A.J. Werkman 2011-08-26 08:33:42 UTC
Description of problem:
No IPv6 static addressing possible in GUI

Version-Release number of selected component (if applicable):
Anaconda 16.14.6

How reproducible:
Everytime

Steps to Reproduce:
1. Start F16 installation
2. Start configuring network
3. Select the interface, go to tab "IPv6", select "static". See that as soon as static is selected, the "save"-button becomes grey and cannot be selected. As soon as you switch to an option above "static", the "save"-button becomes selectable again.
  
Actual results:
Cannot configure static IPv6 address

Expected results:
NM accepts static IPv6 address

Additional info:
Workaround is probably using kernel parameters on bootup, but that is not how it is supposed to be.
I have noticed, that in the TEXT network UI, there is no problem configuring static IPv6.

Comment 1 Jirka Klimes 2011-09-08 13:20:49 UTC
(In reply to comment #0)
> 3. Select the interface, go to tab "IPv6", select "static". See that as soon as
> static is selected, the "save"-button becomes grey and cannot be selected. As
> soon as you switch to an option above "static", the "save"-button becomes
> selectable again.

I think you are taking about Network Connections (nm-connection-editor), the Method is called "Manual" not "static".
Nonetheless, in order to enable "Save" button, you have to click "Add" and specify an IPv6 address (else the configuration is not valid. As you do that, "Save button will be un-greyed".

Comment 2 Dan Winship 2012-05-02 18:48:37 UTC
(NOTABUG as explained in comment 1)


Note You need to log in before you can comment on or make changes to this bug.